<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" type="text/css" href="css/style.css" />
<script src="js/script.js" type="text/javascript"></script>
</head>
<body>
<div class="column"></div>
    <div class="column-centr">
          <h2>Film catalog</h2>
          
          <div class="tab">
            <button class="tablinks" onclick="openTab(event, 'addFilm')">add film</button>
            <button class="tablinks" id="2" onclick="openTab(event, 'filmList')">film and info</button>
            <button class="tablinks" onclick="openTab(event, 'Upload')">import from file</button>
          </div>
          
          <div id="addFilm" class="tabcontent">
            <h3>Add film</h3>
            <div id="form1-cont">
              <div>
                  <label for="name">Film Name</label>
                  <input class="addFilm" type="text" id="name" name="name" placeholder="..." required pattern="[A-Za-z' -]+">
              
                  <label for="year">Year</label>
                  <input class="addFilm" type="text" id="year" name="year" placeholder="...">
          
                  <label for="format">Format</label>
                  <select class="addFilm" id="country" name="format">
                    <option value="VHS">VHS</option>
                    <option value="DVD">DVD</option>
                    <option value="Blu-Ray">Blu-Ray</option>
                  </select>
          
                  <label for="actors">Actors</label>
                  <input class="addFilm" type="text" id="actors" name="actors" placeholder="name surname, ..">
                
                  <input type="submit" value="Submit" onclick="addFilm()">
              </div>
            </div>
          </div>
          
          <div id="Upload" class="tabcontent">
            <h3>Upload file</h3>
            <div name="upload">
              <input type="file" id="uploadFile" name="myfile">
              <h2>File MUST be .txt and look like this</h2>
              <p>Title: Blazing Saddles<br/>
                Release Year: 1974<br/>
                Format: VHS<br/>
                Stars: Mel Brooks, Clevon Little, Harvey Korman, Gene Wilder, Slim Pickens, Madeline Kahn</p>
                
                <p>Title: Casablanca<br/>
                Release Year: 1942<br/>
                Format: DVD<br/>
                Stars: Humphrey Bogart, Ingrid Bergman, Claude Rains, Peter Lorre</p>
                
                <p>Title: Charade<br/>
                Release Year: 1953<br/>
                Format: DVD<br/>
                Stars: Audrey Hepburn, Cary Grant, Walter Matthau, James Coburn, George Kennedy</p>
              
              </p>
              <input type="submit" onclick="uploadFile()" value="push">
            </div>
          </div>
          
          <div id="filmList" class="tabcontent">
            <h3>All film</h3>
            <div id="name-group" class="form-group">
              <input type="radio" name="status" value="0" checked> Film
              <input type="radio" name="status" value="1"> Year
              <input type="radio" name="status" value="2">   Format
              <input type="radio" name="status" value="3">Actor
            </div>
            <input type="text" id="myInput" onkeyup="find()" placeholder="Search for names.." title="Type in a name">

            <table id="myTable2">
              <tr class="header">
              </tr>
            </table>
          </div>
        </div>
<script>
function openTab(evt, tabName) {
    var i, tabcontent, tablinks;
    tabcontent = document.getElementsByClassName("tabcontent");
    for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
    }
    tablinks = document.getElementsByClassName("tablinks");
    for (i = 0; i < tablinks.length; i++) {
        tablinks[i].className = tablinks[i].className.replace(" active", "");
    }
    document.getElementById(tabName).style.display = "block";
    evt.currentTarget.className += " active";
}
</script>
     
</body>
</html> 
